# ElfHeader Struct Reference

`#include <tools/elftypes.h>`

## Data Fields

u32 | iMagic
u32 | iClass
u32 | iData
u32 | iIdver
u32 | iType
u32 | iMachine
u32 | iVersion
u32 | iEntry
u32 | iPhoff
u32 | iShoff
u32 | iFlags
u32 | iEhsize
u32 | iPhentsize
u32 | iPhnum
u32 | iShentsize
u32 | iShnum
u32 | iShstrndx

## Field Documentation

u32 ElfHeader::iClass

u32 ElfHeader::iData

u32 ElfHeader::iEhsize

u32 ElfHeader::iEntry

u32 ElfHeader::iFlags

u32 ElfHeader::iIdver

u32 ElfHeader::iMachine

u32 ElfHeader::iMagic

u32 ElfHeader::iPhentsize

u32 ElfHeader::iPhnum

u32 ElfHeader::iPhoff

u32 ElfHeader::iShentsize

u32 ElfHeader::iShnum

u32 ElfHeader::iShoff

u32 ElfHeader::iShstrndx

u32 ElfHeader::iType

u32 ElfHeader::iVersion

The documentation for this struct was generated from the following file:

- tools/elftypes.h